#!/bin/sh -x

mkdir -p -- "$ISODIR/Metadata"
p="$ISODIR/Metadata/alterator-apt.profile"

echo "(" > "$p"
for f in `find "$ISODIR/ALTLinux" -type f \( -not -name '*kde*' -name 'installer-group-desktop-*' \)`; do
	name= descr=
	values="`rpmquery -p --qf='name=%{name:shescape}; descr=%{summary:shescape}; conflict=%{conflictname}' -- "$f"`" || continue
	eval $values
	[ -z "$name" ] || echo "(\"$name\" summary \"$descr\" conflict \"$conflict\")"
done >> "$p"
echo ")" >> "$p"
